org.apache.sling.maven.slingstart.run

## Class ProcessDescription

- java.lang.Object
- - org.apache.sling.maven.slingstart.run.ProcessDescription

    public class ProcessDescription
    extends Object

A running launchpad process.

### Constructor Summary

Constructors
Constructor and Description
`ProcessDescription(String id, File directory)`

### Method Summary

All Methods Instance Methods Concrete Methods
`ControlListener` `getControlListener()`
`File` `getDirectory()`
`String` `getId()`
`Process` `getProcess()`
`void` `installShutdownHook()` Install a shutdown hook
`void` `setProcess(Process process)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ProcessDescription

    public ProcessDescription(String id,
                              File directory)
                       throws org.apache.maven.plugin.MojoExecutionException

Throws:
  `org.apache.maven.plugin.MojoExecutionException`

### Method Detail

#### getId

    public String getId()

#### getDirectory

    public File getDirectory()

#### getControlListener

    public ControlListener getControlListener()

#### getProcess

    public Process getProcess()

#### setProcess

    public void setProcess(Process process)

#### installShutdownHook

    public void installShutdownHook()

Install a shutdown hook

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`